import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  claimId: SortOrderSchema.optional(),
  paymentId: SortOrderSchema.optional(),
  allowedAmount: SortOrderSchema.optional(),
  totalBilled: SortOrderSchema.optional(),
  totalPaid: SortOrderSchema.optional(),
  totalAdjusted: SortOrderSchema.optional(),
  totalDue: SortOrderSchema.optional()
}).strict();
export const ServiceLineAvgOrderByAggregateInputObjectSchema: z.ZodType<Prisma.ServiceLineAvgOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ServiceLineAvgOrderByAggregateInput>;
export const ServiceLineAvgOrderByAggregateInputObjectZodSchema = makeSchema();
